/*
 *  pwlock
 *
 * Copyright 2012  Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.tizenopensource.org/license
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

enum {
	_L_UNSPEC = -1,
	_L_AUTO,
	_L_EN,
	_L_DE,
	_L_NL,
	_L_ES,
	_L_PT,
	_L_EL,
	_L_IT,
	_L_FR,
	_L_TR,
	_L_KO,
	_L_CN,
	_L_HK,
	_L_TW,
	_L_JP,
	_L_RU,
	_L_GR,
	_L_MAX,
};

struct lang {
	int value;
	const char *name;
	const char *code;
	int ival;		/* for VCONFKEY_SETAPPL_LANG_INT */
};

extern struct lang langs[_L_MAX];

int set_lang(int v);
const char *get_lang_name(int v);
const char *get_lang_name_by_path(char *path);
