/*
 *  pwlock
 *
 * Copyright 2012  Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.tizenopensource.org/license
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

#ifndef __PWLOCK_UI_H__
#define __PWLOCK_UI_H__

#include "pwlock.h"

#define PWLOCK_PASSWORD_MIN_LENGTH	4
#define PWLOCK_PIN_PASSWORD_MAX_LENGTH	8
#define PWLOCK_PHONE_PASSWORD_MAX_LENGTH	16

enum {
	_UI_PIN = 0,
	_UI_PUK,
	_UI_PUK_PIN,
	_UI_PUK_CNF,
	_UI_BLOCK,
	_UI_SIM_LOCK,
	_UI_NETWORK_LOCK_NCK,
	_UI_NETWORK_LOCK_NSCK,
	_UI_NETWORK_LOCK_SPCK,
	_UI_NETWORK_LOCK_CCK,
	_UI_LANG, //skipable view starts from here
	_UI_NOSIM,
	_UI_TIME,
	_UI_KEYBOARD,
	_UI_FACEBOOK,
	_UI_DIALER,
	_UI_GREETING,
	_UI_CONNECTION,
	_UI_DATA_MIGRATION,
	_UI_TUTORIAL,
	_UI_FINISH,
	/*_UI_POPUP,*/
};

int show_splash_screen(struct appdata *ad);
int show_greeting(struct appdata *ad);
int show_connection(struct appdata *ad);
int show_tutorial(struct appdata *ad);
void show_pin(struct appdata *ad);
void show_puk(struct appdata *ad);
void show_puk_pin(struct appdata *ad);
void show_block(struct appdata *ad);
void show_sim_lock(struct appdata *ad);
int show_lang(struct appdata *ad);
int show_nosim(struct appdata *ad);
int show_time(struct appdata *ad);
int show_keyboard_setting(struct appdata *ad);
int show_finish(struct appdata *ad);
int show_dialer(struct appdata *ad);

void pwlock_destroy(struct appdata *ad);
void load_main(struct appdata *ad, int ui_type);

void show_msg(struct appdata *ad, int strid);
void clear_entry(struct appdata *ad);
void _show_popup(void *data, char *msg_str);
void show_popup_accesibility(struct appdata *ad);
void show_popup(struct appdata *ad, const char *mesg, Eina_Bool mode);
void show_popup_ask_exit(struct appdata *ad, const char *mesg);
void show_waiting_popup(struct appdata *ad, const char *msg_str);
void remove_waiting_popup(struct appdata *ad);
Eina_Bool show_puk_do(void *data);
void update_pw_entry(struct appdata *ad, char *input_data);

Evas_Object *pwlock_add_layout_from_edj(Evas_Object *parent, const char *file,
		const char *group);
#endif				/* __PWLOCK_UI_H__ */
